---
search:
  tags:
    - Shareable Links
    - GET
seo:
  description: >-
    Retrieves the list of folders… Reference for the GET
    /api/v1/{app_id}/shareable-links/{token}/folders endpoint in the Digital
    Assets Management API.
sidebar:
  label: Get Shareable Link Folders
  badge: GET
title: Get Shareable Link Folders
type: openapi-operation
---
Retrieves the list of folders associated with a shareable link with pagination and sorting

`GET /api/v1/{app_id}/shareable-links/{token}/folders`

**Responses**

- `200` — Shareable link folders retrieved successfully
- `400` — Invalid request
- `404` — Shareable link not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "file_count": 0,
      "has_content_access": true,
      "id": "string",
      "image_count": 0,
      "is_default": true,
      "name": "string",
      "parent_id": "string",
      "public": true,
      "slug": "string",
      "updated_at": "string",
      "video_count": 0
    }
  ],
  "pagination": {
    "page": 0,
    "per_page": 0,
    "total_items": 0,
    "total_pages": 0
  },
  "success": true
}
```
